Package wx :: Package lib :: Package mixins :: Module listctrl :: Class TextEditMixin

[frames | no frames]

## Class TextEditMixin

A mixin class that enables any text in any column of a multi-column listctrl to be edited by clicking on the given row and column. You close the text editor by hitting the ENTER key or clicking somewhere else on the listctrl. You switch to the next column by hiting TAB.

To use the mixin you have to include it in the class definition and call the __init__ function:

    class TestListCtrl(wx.ListCtrl, TextEditMixin):
        def __init__(self, parent, ID, pos=wx.DefaultPosition,
                     size=wx.DefaultSize, style=0):
            wx.ListCtrl.__init__(self, parent, ID, pos, size, style)
            TextEditMixin.__init__(self)

Authors: Steve Zatz, Pim Van Heuven (pim@think-wize.com)

Method Summary
| `__init__(self)`
| ``CloseEditor`(self, evt)` Close the editor and save the new value to the ListCtrl.
| `make_editor(self, col_style)`
| ``OnChar`(self, event)` Catch the TAB, Shift-TAB, cursor DOWN/UP key code so we can open the editor at the next column (if any).
| `OnItemSelected(self, evt)`
| ``OnLeftDown`(self, evt)` Examine the click and double click events to see if a row has been click on twice.
| ``OpenEditor`(self, col, row)` Opens an editor at the current position.

Class Variable Summary
`Colour` | `editorBgColour` = `wx.Colour(255, 255, 175, 255)`
`Colour` | `editorFgColour` = `wx.Colour(0, 0, 0, 255)`

Method Details

### CloseEditor(self, evt=None)

Close the editor and save the new value to the ListCtrl.

### OnChar(self, event)

Catch the TAB, Shift-TAB, cursor DOWN/UP key code so we can open the editor at the next column (if any).

### OnLeftDown(self, evt=None)

Examine the click and double click events to see if a row has been click on twice. If so, determine the current row and columnn and open the editor.

### OpenEditor(self, col, row)

Opens an editor at the current position.

Class Variable Details

### editorBgColour

  Type:
    `Colour`
  Value:

        wx.Colour(255, 255, 175, 255)

### editorFgColour

  Type:
    `Colour`
  Value:

        wx.Colour(0, 0, 0, 255)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:47 2007 | http://epydoc.sf.net